### Method

# Fwupd SecurityAttr get_description

since: 1.8.2

#### Declaration [src]

    const gchar*
    fwupd_security_attr_get_description (
      FwupdSecurityAttr* self
    )

#### Description [src]

Gets the attribute description which is a few lines of prose that normal users will understand.

The fwupd client program may be able to get translations for this value using a method call like `dgettext("fwupd",str)`.

NOTE: The returned string may contain placeholders such as `$HostVendor$` or `$HostProduct$` and these should be replaced with the values from `fwupd_client_get_host_vendor()` and `fwupd_client_get_host_product()`.

Available since: 1.8.2

#### Return value

Type: `const gchar*`

The attribute description, or `NULL` if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.